#
# spec file for package sway-marker
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define binname nvim-gtk
Name:           sway-marker
Version:        0.2
Release:        bp155.1.14
Summary:        Simple popup for using marks in Sway
License:        GPL-3.0-only
URL:            https://github.com/ilyazzz/sway-marker
Source0:        https://github.com/ilyazzz/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# cargo build && cargo vendor && tar cvJf sway-marker-vendor.tar.xz vendor
Source1:        sway-marker-vendor.tar.xz
BuildRequires:  cargo
BuildRequires:  gtk-layer-shell-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtk-layer-shell-0)
BuildRequires:  pkgconfig(pango)

%description
This allows you to use vim-like marks to switch between different
containers (windows) in sway easily.

%prep
%autosetup -p1 -a1

mkdir .cargo
cat >.cargo/config <<EOF
[source.crates-io]
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "./vendor"
EOF

%build
cargo build --release

%install
install -p -m 0755 -D target/release/%{name} \
    %{buildroot}%{_bindir}/%{name}

# rm -vf %%{buildroot}%%{_prefix}/.crates.toml

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Fri Apr 29 2022 Matej Cepl <mcepl@suse.com>
- Update to 0.2:
  - Intorduce --markup option
  - use clap to parse arguments
* Sat Apr 10 2021 Matej Cepl <mcepl@suse.com>
- Initial packaging of sway-marker 0.1
